-- Create schema infrastructure tables
-- Schema version: 41:0
-- data types taken from actual MediaWiki Schema.
USE uwiki;
DROP TABLE IF EXISTS cur;
CREATE TABLE cur (
	cid INTEGER(8) AUTO_INCREMENT PRIMARY KEY,
	title VARCHAR(255) NOT NULL,
	text MEDIUMBLOB,
-- Keep user.user_name table (instead of integer(5) as we don't implement user table.
	user VARCHAR(255) NOT NULL,
	timestamp CHAR(14) NOT NULL,
	minor_edit TINYINT(1) DEFAULT 0,
	is_redirect TINYINT(1) DEFAULT 0,
	is_new TINYINT(1) DEFAULT 1
) CHARACTER SET utf8;

-- Create table OLD
DROP TABLE IF EXISTS old;
CREATE TABLE old(
	oid INTEGER(8) AUTO_INCREMENT PRIMARY KEY,
	title VARCHAR(255) NOT NULL,
	text MEDIUMBLOB,
	user VARCHAR(255) NOT NULL,
	timestamp char(14) NOT NULL,
	minor_edit TINYINT(1) DEFAULT 0
) CHARACTER SET utf8;

