<%--
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
--%><%@ page language="java"
	import="uwiki.*,
		ddbc.commons.util.*,
		org.apache.log4j.Logger"
%><%
String sessionUser = (String)session.getAttribute("user");
if (Strings.isEmpty(sessionUser)) {
	WOps.sendRedirect(request, response, WConst.PAGE_LOGIN);
	return;
}

String paramTitle = request.getParameter("title");
String paramText = request.getParameter("text");
String paramNew = request.getParameter("new");
String paramMinorEdit = request.getParameter("minorEdit");

try {
	WOps.cmdEdit(paramTitle, paramText, sessionUser, Strings.parseBoolean(paramNew),
			Strings.parseBoolean(paramMinorEdit));
	WOps.sendRedirect(request, response, WConst.PAGE_LISTCURRENT);
} catch (Exception e) {
	Logger.getLogger("pages.cmdEdit").error("Exception captured in page", e);
	WOps.sendRedirect(request, response, WConst.PAGE_ERROR);
}
%>