<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="ISO-8859-1"
	media-type="text/xml"
	omit-xml-declaration="no"
	indent="yes"
/>

<xsl:template match="statementReport">
<adapt-spec>
	<xsl:apply-templates select="statements/statement" />
</adapt-spec>
</xsl:template>
<xsl:template match="statements/statement">
  <xsl:variable name="stmtId" select="@stmtId" />
  <xsl:variable name="stmtSql" select="normSql/text()" />
  <mapping id="{$stmtId}">
    <matcher type="equals"><xsl:value-of select="$stmtSql"/></matcher>
    <handler type="literal"><xsl:value-of select="$stmtSql"/></handler>
  </mapping>
</xsl:template>
</xsl:stylesheet>