/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.tool.sr;

import java.io.Serializable;

public class SrDataStatement implements Serializable {
	private static final long serialVersionUID = 1L;
	
	protected String i_normalizedString;

	protected SrDataStatement() {
		super();
	}

	public SrDataStatement(String normalizedString) {
		super();
		i_normalizedString = normalizedString;
	}

	/**
	 * @return the normalizedString
	 */
	public String getNormalizedString() {
		return i_normalizedString;
	}

	/**
	 * @param a_normalizedString the normalizedString to set
	 */
	public void setNormalizedString(String a_normalizedString) {
		i_normalizedString = a_normalizedString;
	}
	
	
}
