/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package ddbc.tool.sr;

import java.util.ArrayList;
import java.util.List;

public class SrUtil {
	public static String normalizeString(String src) {
		StringBuilder l_target = new StringBuilder((int)(src.length() * 1.1) + 5);
		// TODO
		return src;
	}
	
	public static String getSequenceString(SrDataSequence seq) {
		List<? super SrDataStatement> l_statements = 
			seq.getStatements(new ArrayList<SrDataStatement>());
		StringBuilder l_builder = new StringBuilder();
		String l_separator = ""; // Previous separator at this point
		for (int i = 0; i < l_statements.size(); i++) {
			l_builder.append(l_separator);
			SrDataStatement l_statement = (SrDataStatement)l_statements.get(i);
			l_builder.append(l_statement.getNormalizedString());
			
			l_separator = "+";
		}
		return l_builder.toString();
	}
}
