<%--
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
--%><%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"
	import="uwiki.*, ddbc.commons.util.*, java.util.*,org.apache.log4j.Logger"
%><%
try {
	String user = (String)session.getAttribute("user");
	
	ArrayList pageList = new ArrayList();
	WOps.listCurrent(pageList);

	pageContext.setAttribute("pageCaption", "Page Directory", PageContext.REQUEST_SCOPE);
	
	pageContext.include("incHead.jsp");
%>
<div class="ui">

<div class="commands">
	<div class="title">Commands</div>
	<div class="command"><a href="<%=Http.encodeUrl(response, request.getContextPath() + WConst.PAGE_EDIT,
			new String[]{"new","1"}) %>">Create new page</a></div>
	<div class="command"><a href="<%=response.encodeURL(request.getContextPath() + WConst.PAGE_HISTORY) %>">List Full History</a></div>
</div>
<table class="pageList">
<thead><tr class="rowHead"><th>Title</th><th>User</th><th>Last Modified</th><th>Commands</th></tr>
</thead>
<%
for (int idxPage = 0; idxPage < pageList.size(); idxPage++) {
	DataCur dataCurAtIdx = (DataCur)pageList.get(idxPage);
	String rowClass = (idxPage % 2 == 0) ? "rowEven" : "rowOdd";
%>	<tr class="<%=rowClass%>">
		<td class="title"><%=Html.escapeEntities(dataCurAtIdx.getTitle()) %></td>
		<td class="user"><%=Html.escapeEntities(dataCurAtIdx.getUser()) %></td>
		<td class="timestamp"><%=WOps.formatTimestamp(dataCurAtIdx.getTimestamp()) %></td>
		<td class="tdCommands">
			<a href="<%=Http.encodeUrl(response, request.getContextPath() + WConst.PAGE_VIEW,
					new String[]{"title", dataCurAtIdx.getTitle()}) %>">View</a>&nbsp;
			<a href="<%=Http.encodeUrl(response, request.getContextPath() + WConst.PAGE_EDIT,
					new String[]{"title", dataCurAtIdx.getTitle()}) %>">Edit</a>&nbsp;
		</td>
	</tr>
<%
}
%>
</table>
</div>
<%
	pageContext.include("incFoot.jsp");

} catch(Exception e) {
	Logger.getLogger("pages.list").error("Exception captured in page", e);
	WOps.sendRedirect(request, response, WConst.PAGE_ERROR);
}
%>