<%--
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
--%><%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"
	import="
		ddbc.commons.util.*,uwiki.*,
		org.apache.log4j.Logger"
%><%
try {
	String sessionUser = (String)session.getAttribute("user");
	String paramTitle = request.getParameter("title");
	DataCur cur = WOps.getPage(paramTitle);

	pageContext.setAttribute("pageCaption", paramTitle, PageContext.REQUEST_SCOPE);
	pageContext.include("incHead.jsp");
%>
<div class="ui">
<div class="commands">
	<div class="command"><a href="<%=response.encodeRedirectURL(request.getContextPath() + WConst.PAGE_LISTCURRENT)%>">Return to list of pages</a></div>
	<div class="command"><a href="<%=Http.encodeUrl(response, request.getContextPath() + WConst.PAGE_EDIT,
			new String[]{"title", paramTitle}) %>">Edit page</a></div>
	<div class="command"><a href="<%=Http.encodeUrl(response, request.getContextPath() + WConst.PAGE_HISTORY,
			new String[]{"title", paramTitle}) %>">View History</a></div>
</div>

<div class="pageInfo">
Edited on <%=WOps.formatTimestamp(cur.getTimestamp()) %> by <%=Html.escapeEntities(cur.getUser()) %><br>
isNew=<%=String.valueOf(cur.isNew()) %>; isRedirect=<%=String.valueOf(cur.isRedirect()) %>;
minorEdit=<%=String.valueOf(cur.isMinorEdit()) %>
</div>

<div class="pageText">
<pre><%= Html.escapeEntities(cur.getText()) %></pre>
</div>
</div>
<%
	pageContext.include("incFoot.jsp");
} catch(Exception e) {
	Logger.getLogger("pages.view").error("Exception captured in page", e);
	WOps.sendRedirect(request, response, WConst.PAGE_ERROR);
}
%>