/*
 * ======================================================================== DDBC : Free for Java(tm) platform
 * ========================================================================
 * 
 * (C) Copyright 2010, by Fco.Javier Aranda.
 * 
 * Project Info: http://www.gorrion.info/ddbc/
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * 
 * [Java is a trademark or registered trademark of Oracle Corporation, Inc. in the United States and other countries.]
 */
package uwiki;

/**
 * Constants for microWiki2.
 * @author Javier Aranda
 */
public class WConst {
	// Page Names.
	// If changed must forze recompilation of JSP.
	/** Name of Login page. */
	public static final String PAGE_LOGIN = "/login.jsp";
	/** Name of login action page. */
	public static final String ACTION_LOGIN = "/cmdLogin.jsp";
	/** Name of logout action page. */
	public static final String ACTION_LOGOUT = "/cmdLogout.jsp";
	/** Name of current versions of pages listing page. */
	public static final String PAGE_LISTCURRENT = "/list.jsp";
	/** Name of all versions of page(s) listing page. */
	public static final String PAGE_HISTORY = "/history.jsp";
	/** Name of current page version detail page. */
	public static final String PAGE_VIEW = "/view.jsp";
	/** Name of page edition page. */
	public static final String PAGE_EDIT = "/edit.jsp";
	/** Name of page edition action page. */
	public static final String ACTION_EDIT = "/cmdEdit.jsp";
	
	/** Name of error page. */
	public static final String PAGE_ERROR = "/error.jsp";

}
